clang-tools 8.0.0

Public Member Functions | List of all members
clang::clangd::RefSlab::Builder Class Reference

`#include <Index.h>`

## Public Member Functions
| Builder ()
void | insert (const SymbolID &ID, const Ref &S)
RefSlab | build () &&

## Detailed Description

Definition at line 411 of file Index.h.

## Constructor & Destructor Documentation

## ◆ Builder()

clang::clangd::RefSlab::Builder::Builder | ( |  | ) |
| inline

Definition at line 413 of file Index.h.

## Member Function Documentation

## ◆ build()

RefSlab clang::clangd::RefSlab::Builder::build | ( |  | ) | &&

Definition at line 142 of file Index.cpp.

References Result.

## ◆ insert()

void clang::clangd::RefSlab::Builder::insert | ( | const SymbolID & | ID,
|  | const Ref & | S
| ) |  |

Definition at line 135 of file Index.cpp.

The documentation for this class was generated from the following files:

- Index.h
- Index.cpp